For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
            • POSTCreate Site
            • GETList Sites
            • GETGet Site
            • PUTUpdate Site
            • DELDelete Site
              • GETGet Site’s SSL TLS Certificate Information
              • PUTUpsert Site’s SSL TLS Certificate Information
              • GETList Site Certificates
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSitesSite Certificate

List Site Certificates

GET
https://api.bigcommerce.com/stores/:store_hash/v3/sites/certificates
GET
/stores/:store_hash/v3/sites/certificates
$curl https://api.bigcommerce.com/stores/store_hash/v3/sites/certificates \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "common_name": "example-store.com",
5 "subject_alternative_names": [
6 "example-store.com",
7 "www.example-store.com",
8 "shop.example-store.com"
9 ],
10 "validity_not_before": "2023-05-01T00:00:00.000Z",
11 "validity_not_after": "2024-05-01T23:59:59.000Z",
12 "signing_algorithm": "SHA256withRSA",
13 "issuer": "DigiCert Inc",
14 "certificate": "-----BEGIN CERTIFICATE-----\nMIID...AB\n-----END CERTIFICATE-----",
15 "intermediate_certificates": "-----BEGIN CERTIFICATE-----\nMIIF...CD\n-----END CERTIFICATE-----"
16 }
17 ],
18 "meta": {}
19}
Return all SSL certificates connected to domains within a store.
Was this page helpful?
Previous

Upsert Site’s SSL TLS Certificate Information

Next

Get Site’s Routes

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

urls:inlist of stringsOptional

A comma-separated list that filters certificates by one or more URLs.

Response

OK
datalist of objects
metaobject
Response metadata.